<?php

namespace WPPayFormPro\GateWays\Addons;

class Flutterwave
{
    public function init() {
        // insatllation url fo this add-on
        // $url = wp_nonce_url(
        //     self_admin_url('update.php?action=install-plugin&plugin=fluentforms-pdf'),
        //     'install-plugin_fluentforms-pdf'
        // );
        // in case we host it on wordpress org
        $url = wp_nonce_url(
            self_admin_url('plugins.php?action=activate&plugin=flutterwave-payment-for-paymattic/flutterwave-payment-for-paymattic.php'),
            'activate-plugin_flutterwave-payment-for-paymattic/flutterwave-payment-for-paymattic.php'
        );
        add_filter('wppayform_payment_method_settings', function($settings){
             $settings['flutterwave'] = array (
                'title' => 'Flutterwave',
                'route_name' => 'flutterwave',
                'route_query' => [],
                'svg' => WPPAYFORM_URL .'assets/images/gateways/flutterwave.svg',
             );
            return $settings;
        }, 10, 1);

        add_filter('wppayform_payment_method_settings_routes', function($routes){
            $routes[] = array (
               'path' => 'flutterwave',
               'name' => 'flutterwave',
               'meta' => [
                    'title' => 'Flutterwave',
                    'Addon' => 'yes',
                    'addon_slug' =>  'flutterwave-payment-for-paymattic',
                    'source' => 'github',
                    'url' => 'https://api.github.com/repos/WPManageNinja/flutterwave-payment-for-paymattic/zipball/1.0.0'
                ]
            );
           return $routes;
       }, 10, 1);
    }
}