<?php

namespace WPPayFormPro\GateWays\Addons;

class Moneris
{
    public function init() {
        // in case we host it on wordpress org
        $url = wp_nonce_url(
            self_admin_url('plugins.php?action=activate&plugin=moneris-payment-for-paymattic/moneris-payment-for-paymattic.php'),
            'activate-plugin_moneris-payment-for-paymattic/moneris-payment-for-paymattic.php'
        );
        add_filter('wppayform_payment_method_settings', function($settings){
             $settings['moneris'] = array (
                'title' => 'Moneris',
                'route_name' => 'moneris',
                'route_query' => [],
                'svg' => WPPAYFORM_URL .'assets/images/gateways/moneris.svg',
             );
            return $settings;
        }, 10, 1);

        add_filter('wppayform_payment_method_settings_routes', function($routes){
            $routes[] = array (
               'path' => 'moneris',
               'name' => 'moneris',
               'meta' => [
                    'title' => 'Moneris',
                    'Addon' => 'yes',
                    'addon_slug' =>  'moneris-payment-for-paymattic',
                    'source' => 'github',
                    'url' => 'https://api.github.com/repos/WPManageNinja/moneris-payment-for-paymattic/zipball/1.0.0'
                ]
            );
           return $routes;
       }, 10, 1);
    }
}